PiocheImpl

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chkoba
Class PiocheImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  chkoba.PiocheImpl

All Implemented Interfaces:
  IPioche, java.io.Serializable, java.rmi.Remote

    public class PiocheImpl

extends java.rmi.server.UnicastRemoteObject
implements IPioche

Classe Pioche

See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList<ICarte>` | `pioche` La pioche a proprement dite
`private boolean` | `vide` Attribut symbolisant si la pioche est vide

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`PiocheImpl()` Initialise la pioche avec 40 cartes des bonnes couleurs

Method Summary
`void` | `add(ICarte c)` Ajoute la carte passee en parametre a la pioche
`java.lang.String` | `affiche()` Affiche toute les cartes de la pioche
`ICarte` | `get(int i)` Retourne la carte de la pioche a l'indice passe en parametre
`boolean` | `isEmpty()` Retourne true si la pioche est vide, false sinon
`void` | `melanger()` Pour melanger, on cre une arrayList temporaire, on fait un random et on enleve les CarteImpls (indice random) de la pioche pour les mettre dans le temporaire Une fois ça finit, on copie le temporaire dans la pioche et le tour est joue
`ICarte` | `piocher()` Permet de piocher une carte de la pioche
`void` | `remove(int i)` Retire la carte a l'indice passe en parametre de la pioche
`int` | `size()` Retourne la taille de la pioche

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### vide

    private boolean vide

  Attribut symbolisant si la pioche est vide

### pioche

    private java.util.ArrayList<ICarte> pioche

  La pioche a proprement dite

Constructor Detail

### PiocheImpl

    public PiocheImpl()
               throws java.rmi.RemoteException

  Initialise la pioche avec 40 cartes des bonnes couleurs

  Throws:
    `java.rmi.RemoteException`

Method Detail

### piocher

    public ICarte piocher()
                   throws java.rmi.RemoteException

  Permet de piocher une carte de la pioche

  Specified by:
    `piocher` in interface `IPioche`
  Throws:
    `java.rmi.RemoteException`

### melanger

    public void melanger()
                  throws java.rmi.RemoteException

  Pour melanger, on cre une arrayList temporaire, on fait un random et on enleve les CarteImpls (indice random) de la pioche pour les mettre dans le temporaire Une fois ça finit, on copie le temporaire dans la pioche et le tour est joue

  Specified by:
    `melanger` in interface `IPioche`
  Throws:
    `java.rmi.RemoteException`

### affiche

    public java.lang.String affiche()
                             throws java.rmi.RemoteException

  Affiche toute les cartes de la pioche

  Specified by:
    `affiche` in interface `IPioche`
  Throws:
    `java.rmi.RemoteException`

### size

    public int size()
             throws java.rmi.RemoteException

  Retourne la taille de la pioche

  Specified by:
    `size` in interface `IPioche`
  Throws:
    `java.rmi.RemoteException`

### isEmpty

    public boolean isEmpty()
                    throws java.rmi.RemoteException

  Retourne true si la pioche est vide, false sinon

  Specified by:
    `isEmpty` in interface `IPioche`
  Throws:
    `java.rmi.RemoteException`

### get

    public ICarte get(int i)
               throws java.rmi.RemoteException

  Retourne la carte de la pioche a l'indice passe en parametre

  Specified by:
    `get` in interface `IPioche`
  Throws:
    `java.rmi.RemoteException`

### remove

    public void remove(int i)
                throws java.rmi.RemoteException

  Retire la carte a l'indice passe en parametre de la pioche

  Specified by:
    `remove` in interface `IPioche`
  Throws:
    `java.rmi.RemoteException`

### add

    public void add(ICarte c)
             throws java.rmi.RemoteException

  Ajoute la carte passee en parametre a la pioche

  Specified by:
    `add` in interface `IPioche`
  Throws:
    `java.rmi.RemoteException`

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD